using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3261.Domain;

public class TaobaoTbkDgCpaActivityDetailResult
{

    /*
        错误代码
    */
    private string? bizErrorFeature;


    /*
        返回素材id
    */
    private TaobaoTbkDgCpaActivityDetailPageResult? data;


    /*
        是否成功
    */
    private bool? success;


    /*
        结果码
    */
    private long? resultCode;


    /*
        错误描述
    */
    private string? bizErrorDesc;


    /*
        错误代码
    */
    private long? bizErrorCode;


    /*
        结果信息
    */
    private string? resultMsg;



    [JsonPropertyName("biz_error_feature")]
    public string? BizErrorFeature
    {
        get => bizErrorFeature;
        set => this.bizErrorFeature = value;
    }

    [JsonPropertyName("data")]
    public TaobaoTbkDgCpaActivityDetailPageResult? Data
    {
        get => data;
        set => this.data = value;
    }

    [JsonPropertyName("success")]
    public bool? Success
    {
        get => success;
        set => this.success = value;
    }

    [JsonPropertyName("result_code")]
    public long? ResultCode
    {
        get => resultCode;
        set => this.resultCode = value;
    }

    [JsonPropertyName("biz_error_desc")]
    public string? BizErrorDesc
    {
        get => bizErrorDesc;
        set => this.bizErrorDesc = value;
    }

    [JsonPropertyName("biz_error_code")]
    public long? BizErrorCode
    {
        get => bizErrorCode;
        set => this.bizErrorCode = value;
    }

    [JsonPropertyName("result_msg")]
    public string? ResultMsg
    {
        get => resultMsg;
        set => this.resultMsg = value;
    }

}

